aboutsummaryrefslogtreecommitdiffhomepage
path: root/blas
diff options
context:
space:
mode:
authorGravatar Gael Guennebaud <g.gael@free.fr>2010-11-03 22:02:44 +0100
committerGravatar Gael Guennebaud <g.gael@free.fr>2010-11-03 22:02:44 +0100
commita8fb6b0ad33a4620424e31e842b54c8cd255c6d2 (patch)
treeb41c20980107d386ff3bc1dc729bdd837e91ca69 /blas
parente85a3857f03eb16b2ff74f34b99dbbb0c69ecc7b (diff)
improve detection of erros
Diffstat (limited to 'blas')
-rwxr-xr-xblas/testing/runblastest.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/blas/testing/runblastest.sh b/blas/testing/runblastest.sh
index ab8235470..aa634a2ce 100755
--- a/blas/testing/runblastest.sh
+++ b/blas/testing/runblastest.sh
@@ -24,5 +24,16 @@ if ! ./$1 < $data > /dev/null 2> .runtest.log ; then
echo -e $black
exit 1
else
+ if [ -f $1.summ ]; then
+ if [ `grep "FATAL ERROR" $1.summ | wc -l` -gt 0 ]; then
+ echo -e $red "Test $1 failed (FATAL ERROR, read the file $1.summ for details)" $black
+ exit 1;
+ fi
+
+ if [ `grep "FAILED THE TESTS OF ERROR-EXITS" $1.summ | wc -l` -gt 0 ]; then
+ echo -e $red "Test $1 failed (FAILED THE TESTS OF ERROR-EXITS, read the file $1.summ for details)" $black
+ exit 1;
+ fi
+ fi
echo -e $green Test $1 passed$black
fi